Bug 1300568 - [wine] wine can not run a install exe file , it reports "Error reading setup initialization file"
Summary: [wine] wine can not run a install exe file , it reports "Error reading setup ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wine
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-21 07:37 UTC by zuogang
Modified: 2016-02-21 16:31 UTC (History)
4 users (show)

Fixed In Version: wine-1.9.3-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-21 16:31:32 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Wine HQ 40019 None None None 2016-01-22 07:01:17 UTC

Description zuogang 2016-01-21 07:37:23 UTC
Description of problem:
wine can not run a install exe file , it reports "Error reading setup initialization file"

Version-Release number of selected component (if applicable):
[zoge@localhost shm]$ rpm -qf /usr/bin/wine
wine-core-1.9.1-1.fc23.x86_64
wine-core-1.9.1-1.fc23.i686

How reproducible:
in kde desktop, right click the exe file , select "open with wine ..."

the exe is downloaded from : http://www.sourceinsight.com/down35.html

Steps to Reproduce:
1.
2.
3.

Actual results:
the error occurs

Expected results:


Additional info:

Comment 1 Michael Cronenworth 2016-01-22 03:37:50 UTC
Please file a report upstream. Let them know you are using 1.9.1 (Staging).

https://bugs.winehq.org/

Please add the bug number here when you have one. Thanks.

Comment 3 zuogang 2016-01-25 01:21:09 UTC
upstream has fixed, when fedora  will update the wine pkg?

Sebastian Lackner     2016-01-22 11:14:11 CST  
Thanks again for the bug report. This issue has been fixed with:
https://github.com/wine-compholio/wine-staging/commit/d924f74e90db02e4821643bee451ef8879cae328

Comment 4 Michael Cronenworth 2016-01-25 01:56:27 UTC
It's in Wine 1.9.2, but I have only built it for Rawhide. Waiting on fixes for Fedora 22/23 to build MinGW Wine Gecko that Fedora 22/23 needs for Wine.

http://koji.fedoraproject.org/koji/buildinfo?buildID=713418

Comment 5 Fedora Update System 2016-02-03 16:05:25 UTC
wine-1.9.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5e77e105db

Comment 6 Fedora Update System 2016-02-12 00:21:48 UTC
mingw-wine-gecko-2.44-1.fc23 wine-1.9.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5e77e105db

Comment 7 Fedora Update System 2016-02-14 16:24:02 UTC
mingw-wine-gecko-2.44-1.fc23, wine-1.9.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5e77e105db

Comment 8 Fedora Update System 2016-02-21 16:31:18 UTC
mingw-wine-gecko-2.44-1.fc23, wine-1.9.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.